#include "abdrive.h"

void interpolation_table_setup(void);

volatile int abd_sPinL, abd_sPinR;   // Global variables
volatile int abd_ePinL, abd_ePinR;
volatile int abd_us;
int abd_intTabSetup = 0;


void drive_servoPins(int servoPinLeft, int servoPinRight)          // drivePins function
{
  abd_sPinL = servoPinLeft;                                       // Local to global assignments
  abd_sPinR = servoPinRight;
  if(!abd_us) abd_us = CLKFREQ/1000000; 

  if(!abd_intTabSetup)
  {
    interpolation_table_setup();
  }
}

void drive_pins(int servoPinLeft, int servoPinRight, int encPinLeft, int encPinRight)          // drivePins function
{
  abd_sPinL = servoPinLeft;                             // Local to global assignments
  abd_sPinR = servoPinRight;
  abd_ePinL = encPinLeft;
  abd_ePinR = encPinRight;
  abd_us = CLKFREQ/1000000; 

  if(!abd_intTabSetup)
  {
    interpolation_table_setup();
  }
}

void drive_encoderPins(int encPinLeft, int encPinRight)          // drivePins function
{
  abd_ePinL = encPinLeft;
  abd_ePinR = encPinRight;
  if(!abd_us) abd_us = CLKFREQ/1000000; 

  if(!abd_intTabSetup)
  {
    interpolation_table_setup();
  }
}

